org.eclipse.remote.core

## Interface IRemoteConnectionProviderService

All Superinterfaces:
  IRemoteConnectionType.Service

    public interface IRemoteConnectionProviderService
    extends IRemoteConnectionType.Service

A connection type service for connection types that have automatic means of adding and removing services. For example, the Local connection type needs to be able to ensure the Local connection is created, or adapters to other target management systems may prefer to let those systems manage the connections.

Since:
  2.0

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.remote.core.IRemoteConnectionType.Service

`IRemoteConnectionType.Service.Factory`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `init()` Initialize the service.

### Methods inherited from interface org.eclipse.remote.core.IRemoteConnectionType.Service

`getConnectionType`

### Method Detail

#### init

    void init()

Initialize the service. Called after all existing connections are loaded. This method typically will add the initial connections or start up a job to do it. This method is called on startup, it's important that it be fast.